package rwi.eclipse.team.ccvs.ssl;
/*******************************************************************************
 * Copyright (c) 2003 Rolf Wilms (rolf_wilms@hotmail.com).
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 * 
 *******************************************************************************/
 
import org.eclipse.team.internal.ccvs.core.ICVSRepositoryLocation;
import org.eclipse.team.internal.ccvs.core.IConnectionMethod;
import org.eclipse.team.internal.ccvs.core.IServerConnection;
public class SSLConnectionMethodCVS implements IConnectionMethod {
	/**
	 * @see IConnectionMethod#createConnection(ICVSRepositoryLocation, String)
	 */
	public IServerConnection createConnection(ICVSRepositoryLocation location, String password) {
		return new SSLServerConnection(location, password, false, getName());
	}
	/**
	 * @see IConnectionMethod#getName()
	 */
	public String getName() {
		return "cvs-sserver";//$NON-NLS-1$
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.team.internal.ccvs.core.IConnectionMethod#disconnect(org.eclipse.team.internal.ccvs.core.ICVSRepositoryLocation)
	 */
	public void disconnect(ICVSRepositoryLocation location) {

	}

}
